DEBSPAWN-LOGIN(1)

NAME
debspawn-login - Open interactive shell session in a container

SYNOPSIS

debspawn login [-h|--help] [--variant] [-a|--arch] [--suite] [--persistent] [--allow] [--boot] {NAME}

DESCRIPTION

This command enters an interactive shell session in a container that is normally used for building. This can be useful to inspect the build environment, or to manually customize the container image for special applications if the --persistent flag is set.

OPTIONS

NAME
    The name of the container image (usually a distribution suite name).

-h|--help
    Print brief help information about available commands.

--variant
    Set the variant of the selected image, that was used for bootstrapping.

-a|--arch
    The architecture of the base image that should be selected.

--suite
    Explicitly set a suite name (instead of having it derived from the container name).

--persistent
    Make changes done in the session persistent.

--allow
    List one or more additional permissions to grant the container. Takes a comma-separated list of capability names.

--boot
    Boot container image (requires the image to contain an init system).

SEE ALSO

debspawn(1), systemd-nspawn(1).

AUTHOR

This manual page was written by Matthias Klumpp <mak@debian.org>.

COPYRIGHT
Copyright © 2018-2022 Matthias Klumpp